Package org.drinkless.tdlib

# Class TdApi.GetUserProfileAudios

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Audios>
org.drinkless.tdlib.TdApi.GetUserProfileAudios

Enclosing class:
  `TdApi`

public static class TdApi.GetUserProfileAudios extends TdApi.Function<TdApi.Audios>
Returns the list of profile audio files of a user.

Returns `Audios`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of audio files to be returned; up to 100.
  `int`
  `offset`
  The number of audio files to skip; must be non-negative.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetUserProfileAudios()`
  Default constructor for a function, which returns the list of profile audio files of a user.
  `GetUserProfileAudios(long userId, int offset, int limit)`
  Creates a function, which returns the list of profile audio files of a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier.

  - ### offset

    public int offset
    The number of audio files to skip; must be non-negative.

  - ### limit

    public int limit
    The maximum number of audio files to be returned; up to 100.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetUserProfileAudios

    public GetUserProfileAudios()
    Default constructor for a function, which returns the list of profile audio files of a user.

    Returns `Audios`

  - ### GetUserProfileAudios

    public GetUserProfileAudios(long userId, int offset, int limit)
    Creates a function, which returns the list of profile audio files of a user.

    Returns `Audios`

    Parameters:
      `userId` - User identifier.
      `offset` - The number of audio files to skip; must be non-negative.
      `limit` - The maximum number of audio files to be returned; up to 100.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Audios>`
    Returns:
      this.CONSTRUCTOR